
QGIS Application - Bug report #14786

'Reshape Features'/'Split Features' inconsistent behavior

2016-05-07 10:59 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22743

Description

The 'Reshape Featuers' tool works as expected when features are reshaped from vertex to vertex but may fail when features are

reshaped from vertex to segment. Reshaping features from segment to segment fails every time. The 'Split Features' tool shows a similar

behavior but splitting a feature from segment to segment may work.

History

#1 - 2016-05-22 01:32 PM - Jürgen Fischer

- Category set to Digitising

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-08-08 02:43 PM - Andreas Wicht

The Workaround here is to start and end digitizing the line inside of the polygon you want to reshape. Then new vertices are being generated where the

blade intersects the boundary of the polygon.

#4 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

14786.zip 6.54 KB 2016-05-07 R. R.

14786_reshape_features.mp4 1.02 MB 2016-05-07 R. R.

14786_split_features.mp4 721 KB 2016-05-07 R. R.

2025-04-27 1/1

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

